package org.ludo.blocklist;

/**
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: BlocklistConstants.java,v 1.1 2004/12/08 22:57:51 masterludo Exp $
 * @created Mar 15, 2004
 */
public class BlocklistConstants {
	
	/** Holds the name of the config file */
	public static final String CONFIG_FILE_NAME = "blocklist.properties";
	
	/** Holds the name of the log identifier */
	public static final String LOG_IDENTIFIER = "BlocklistManager";
	
	/** Holds the blocklist manager identifier for Peerguardian */
	public static final String PEERGUARDIAN = "PG";
	
	/** Holds the blocklist manager identifier for eDonkey */
	public static final String EDONKEY = "DONK";
	
	/** Holds the blocklist manager identifier for cDonkey */
	public static final String CDONKEY = "CDONK";
	
	/** Holds the blocklist manager identifier for Shareaza */
	public static final String SHAREAZA = "SHAREAZA";
	
	/** Holds the name of the property for the blocklist URL */
	public static final String BLOCKLIST_URL = "blocklist.url";
	
	/** Holds the name of the property for the blocklist cache file */
	public static final String BLOCKLIST_CACHE_FILE = "blocklist.cache.file";
	
	/** Holds the name of the property for the blocklist log file */
	public static final String BLOCKLIST_LOG_FILE = "log.file";
	
	/** Holds the key for the socket connect timeout */
	public static final String SOCKET_CONNECT_TIMEOUT = "socket.connect.timeout";
	
	/** Holds the key for the socket read timeout */
	public static final String SOCKET_READ_TIMEOUT = "socket.read.timeout";
	
	/** Holds the key for the http proxy host */
	public static final String HTTP_PROXY_HOST = "http.proxy.host";
	
	/** Holds the key for the http proxy port */
	public static final String HTTP_PROXY_PORT = "http.proxy.port";
}
