package org.ludo.blocklist;

import java.net.URL;

/**
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: SimpleBlocklistEntry.java,v 1.1 2004/12/08 22:57:51 masterludo Exp $
 * @created Mar 17, 2004
 */
public class SimpleBlocklistEntry implements BlocklistEntry {
	
	private URL url;
	
	private String type;
	
	private int status;
	
	/**
	 * 
	 * @param anURL
	 * @param aType
	 */
	public SimpleBlocklistEntry(URL anURL, String aType, int aStatus) {
		setURL(anURL);
		setType(aType);
		setStatus(aStatus);
	}
	
	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}
	
	/**
	 * @param type The type to set.
	 */
	public void setType(String type) {
		this.type = type;
	}
	
	/**
	 * @return Returns the url.
	 */
	public URL getURL() {
		return url;
	}
	
	/**
	 * @param url The url to set.
	 */
	protected void setURL(URL url) {
		this.url = url;
	}
	
	/**
	 * @return Returns the status.
	 */
	public int getStatus() {
		return status;
	}
	
	/**
	 * @param status The status to set.
	 */
	protected void setStatus(int status) {
		this.status = status;
	}
}
