package org.ludo.config;

/**
 * Keys for common configuration constants.
 * @author  <a href="mailto:masterludo@gmx.net">Ludovic Kim-Xuan Galibert</a>
 * @revision $Id: ConfigConstants.java,v 1.1 2004/12/08 22:57:52 masterludo Exp $
 * @created Oct 27, 2004
 */
public class ConfigConstants {
	
	/** Holds the key for the socket connect timeout */
	public static final String SOCKET_CONNECT_TIMEOUT = "socket.connect.timeout";
	
	/** Holds the key for the socket read timeout */
	public static final String SOCKET_READ_TIMEOUT = "socket.read.timeout";
	
	/** Holds the key for enabling the http proxy */
	public static final String ENABLE_HTTP_PROXY = "enable.http.proxy";
	
	/** Holds the key for the http proxy host */
	public static final String HTTP_PROXY_HOST = "http.proxy.host";
	
	/** Holds the key for the http proxy port */
	public static final String HTTP_PROXY_PORT = "http.proxy.port";
}
